Package org.zkoss.zul.event

## Class DialChartDataEvent

- java.lang.Object
- - org.zkoss.zul.event.ChartDataEvent
  - - org.zkoss.zul.event.DialChartDataEvent

-     public class DialChartDataEvent
      extends ChartDataEvent

  A dial chart data event to handle the property changed.
  Since:
    7.0.1
  Author:
    jumperchen

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CAP_RADIUS` |
    `static java.lang.String` | `FRAME_BG_ALPHA` |
    `static java.lang.String` | `FRAME_BG_COLOR` |
    `static java.lang.String` | `FRAME_BG_COLOR_1` |
    `static java.lang.String` | `FRAME_BG_COLOR_2` |
    `static java.lang.String` | `FRAME_FG_COLOR` |
    `static java.lang.String` | `GRADIENT_DIRECTION` |
    `static java.lang.String` | `INNER_RADIUS` |
    `static java.lang.String` | `LOWER_BOUND` |
    `static java.lang.String` | `NEEDLE_COLOR` |
    `static java.lang.String` | `NEEDLE_RADIUS` |
    `static java.lang.String` | `NEEDLE_TYPE` |
    `static java.lang.String` | `OUTER_RADIUS` |
    `static java.lang.String` | `RANGE` |
    `static java.lang.String` | `RANGE_COLOR` |
    `static java.lang.String` | `SCALE` |
    `static java.lang.String` | `SCALE_FONT` |
    `static java.lang.String` | `SCALE_TEXT` |
    `static java.lang.String` | `SCALE_VALUE` |
    `static java.lang.String` | `TEXT_RADIUS` |
    `static java.lang.String` | `TICK_COLOR` |
    `static java.lang.String` | `TICK_FONT` |
    `static java.lang.String` | `TICK_LABEL_OFFSET` |
    `static java.lang.String` | `TICK_RADIUS` |
    `static java.lang.String` | `UPPER_BOUND` |
    `static java.lang.String` | `VALUE_ANGLE` |
    `static java.lang.String` | `VALUE_FONT` |
    `static java.lang.String` | `VALUE_RADIUS` |

    - ### Fields inherited from class org.zkoss.zul.event.ChartDataEvent

      `ADDED, CHANGED, REMOVED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DialChartDataEvent​(ChartModel model, int type, java.lang.String prop, java.lang.Object data)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPropertyKey()` | Return the key of the property.

    - ### Methods inherited from class org.zkoss.zul.event.ChartDataEvent

      `getCategory, getCategoryIndex, getData, getModel, getSeries, getSeriesIndex, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCALE

          public static java.lang.String SCALE

    - #### FRAME_BG_ALPHA

          public static java.lang.String FRAME_BG_ALPHA

    - #### FRAME_BG_COLOR

          public static java.lang.String FRAME_BG_COLOR

    - #### FRAME_BG_COLOR_1

          public static java.lang.String FRAME_BG_COLOR_1

    - #### FRAME_BG_COLOR_2

          public static java.lang.String FRAME_BG_COLOR_2

    - #### FRAME_FG_COLOR

          public static java.lang.String FRAME_FG_COLOR

    - #### GRADIENT_DIRECTION

          public static java.lang.String GRADIENT_DIRECTION

    - #### CAP_RADIUS

          public static java.lang.String CAP_RADIUS

    - #### RANGE_COLOR

          public static java.lang.String RANGE_COLOR

    - #### INNER_RADIUS

          public static java.lang.String INNER_RADIUS

    - #### OUTER_RADIUS

          public static java.lang.String OUTER_RADIUS

    - #### LOWER_BOUND

          public static java.lang.String LOWER_BOUND

    - #### UPPER_BOUND

          public static java.lang.String UPPER_BOUND

    - #### SCALE_VALUE

          public static java.lang.String SCALE_VALUE

    - #### SCALE_TEXT

          public static java.lang.String SCALE_TEXT

    - #### SCALE_FONT

          public static java.lang.String SCALE_FONT

    - #### TEXT_RADIUS

          public static java.lang.String TEXT_RADIUS

    - #### VALUE_FONT

          public static java.lang.String VALUE_FONT

    - #### VALUE_RADIUS

          public static java.lang.String VALUE_RADIUS

    - #### VALUE_ANGLE

          public static java.lang.String VALUE_ANGLE

    - #### TICK_FONT

          public static java.lang.String TICK_FONT

    - #### TICK_LABEL_OFFSET

          public static java.lang.String TICK_LABEL_OFFSET

    - #### TICK_COLOR

          public static java.lang.String TICK_COLOR

    - #### TICK_RADIUS

          public static java.lang.String TICK_RADIUS

    - #### RANGE

          public static java.lang.String RANGE

    - #### NEEDLE_TYPE

          public static java.lang.String NEEDLE_TYPE

    - #### NEEDLE_COLOR

          public static java.lang.String NEEDLE_COLOR

    - #### NEEDLE_RADIUS

          public static java.lang.String NEEDLE_RADIUS

  - ### Constructor Detail

    - #### DialChartDataEvent

          public DialChartDataEvent​(ChartModel model,
                                    int type,
                                    java.lang.String prop,
                                    java.lang.Object data)

  - ### Method Detail

    - #### getPropertyKey

          public java.lang.String getPropertyKey()

      Return the key of the property.